Groovy 1.7.0

## org.codehaus.groovy.util
Class ReferenceManager.ThreadedReferenceManager

    java.lang.Object
      org.codehaus.groovy.util.ReferenceManager
          org.codehaus.groovy.util.ReferenceManager.ThreadedReferenceManager

    class ReferenceManager.ThreadedReferenceManager
    extends ReferenceManager

Constructor Summary
`ReferenceManager.ThreadedReferenceManager(ReferenceQueue queue)`

Method Summary
`void` | `stopThread()`
`String` | `toString()`

Methods inherited from class ReferenceManager
ReferenceManager, afterReferenceCreation, createCallBackedManager, createIdlingManager, createThreadedManager, createThresholdedIdlingManager, getDefaultSoftBundle, getDefaultWeakBundle, getReferenceQueue, removeStallEntries, stopThread, toString

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ReferenceManager.ThreadedReferenceManager

    public ReferenceManager.ThreadedReferenceManager(ReferenceQueue queue)

Method Detail

### stopThread

    @Override
    public void stopThread()

### toString

    @Override
    public String toString()

Copyright © 2003-2009 The Codehaus. All rights reserved.